% html2mallard(1) from modseccfg | Version 0.3


NAME
====

**html2mallard** — rough help conversion tool

SYNOPSIS
========

  **html2mallard** \[ *input.html* | *input.md* | *http://example.com/input.html* ] **>** *output.page*

  **html2mallard** *input.html* \[**-D**|**-d**|**\-\-debug**\] \| **xmllint** *\-* **\-\-recover**

  **mkdocs-mallard**


DESCRIPTION
===========

Provides a rough conversion between mkdocs` generated HTML and
mallard/yelp files. Also accepts *\*.md* input files (converted
per markdown.markdown), or even remote \*.html files (per requests).

Whereas **mkdocs-mallard** reads a bunch of files from the *site_dir*
defined in *mkdocs.yml*, and writes them to *mallard_dir*.


PURPOSE
=======

Poor transformation approach, mostly salvaging some HTML structures
and reshuffling document body into mallard \<page> with allowed
inline markup.

 * XSLT might have been easier, but doesn't work on most HTML.
 * BS/lxml is way overkill for this task (hence zero such tools).
 * Noone's doing a markdown to ducktype/mallard converter either.

Generated pages often require some post-editing, such as removing duplicate
**\<title>s** or empty **\<section>s**, or adding a **\<desc>**.  Mallard
help also requires an *index.page*, ideally with a **\<section id="nav">**,
so other pages automatically link there.  (The index.page itself should not
carry the **\<link type="guide" xref="index#nav"/>**, as that would be
recursive.)

SEE ALSO
========

**https://pypi.org/project/html2mallard/**, **xmllint**(1)

