#!/usr/bin/env python3
# encoding: utf-8
# api: pip
# type: build
# title: config for setuptools
#
# Always prefer setuptools over distutils
#

from pluginconf.setup import setup

setup(
    #debug=1,
    fn="modseccfg/__init__.py",
    name="modseccfg",
    long_description="README.rst",
    packages=["modseccfg"],
    package_dir={"": "."},
    package_data={
        "modseccfg": [
            "./data/*.*",
            "./install/*.*",
            "./scripts/*"
        ],
    },
    include_package_data=True,
    # data_files=[("man/man1", ["manpage/modseccfg.1"])),  # automatically done in pluginconf.setup now
    entry_points={
        "console_scripts": [
            "modseccfg=modseccfg.mainwindow:main",
        ]
    },
    extras_require = {
        "all": ["msc_pyparser >= 1.1.1"]
    }
)
